org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MeanGlobalStep.MeanNumber

- java.lang.Object
- - java.lang.Number
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MeanGlobalStep.MeanNumber

- All Implemented Interfaces:
    Serializable, Comparable<Number>
  Enclosing class:
    MeanGlobalStep<S extends Number,E extends Number>

      public static final class MeanGlobalStep.MeanNumber
      extends Number
      implements Comparable<Number>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeanNumber()`
    `MeanNumber(Number number, long count)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MeanGlobalStep.MeanNumber` | `add(MeanGlobalStep.MeanNumber other)`
    `MeanGlobalStep.MeanNumber` | `add(Number amount, long count)`
    `int` | `compareTo(Number number)`
    `double` | `doubleValue()`
    `boolean` | `equals(Object object)`
    `float` | `floatValue()`
    `Number` | `getFinal()`
    `int` | `hashCode()`
    `int` | `intValue()`
    `long` | `longValue()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MeanNumber

          public MeanNumber()

    - #### MeanNumber

          public MeanNumber(Number number,
                            long count)

  - ### Method Detail

    - #### add

          public MeanGlobalStep.MeanNumber add(Number amount,
                                               long count)

    - #### add

          public MeanGlobalStep.MeanNumber add(MeanGlobalStep.MeanNumber other)

    - #### intValue

          public int intValue()

      Specified by:
        `intValue` in class `Number`

    - #### longValue

          public long longValue()

      Specified by:
        `longValue` in class `Number`

    - #### floatValue

          public float floatValue()

      Specified by:
        `floatValue` in class `Number`

    - #### doubleValue

          public double doubleValue()

      Specified by:
        `doubleValue` in class `Number`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareTo

          public int compareTo(Number number)

      Specified by:
        `compareTo` in interface `Comparable<Number>`

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getFinal

          public Number getFinal()

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.